%define name    klcc
%define major	0
%define libname liblcpio%{major}
%define libnamedevel liblcpio%{major}-devel

%define version 2.0.3
%define release 2mdk

Summary:	KDE LineControl Client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://linecontrol.sourceforge.net/
Group:		Networking/Remote access
Source:		%{name}-%{version}.tar.bz2
Patch:		klcc-2.0.3-qt3-fixes.patch.bz2
Patch1:		klcc-2.0.3-mainview.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}
BuildRequires:	kdebase-devel fam-devel zlib-devel

%description
LineControl Client for KDE

%package -n %{libname}
Summary:	Library required by %{name}
License:	GPL
Group:		System/Libraries

%description -n %{libname}
Library required by %{name}


%package -n %{libnamedevel}
Summary:	Development files for library required by %{name}
License:	GPL
Group:		System/Libraries

%description -n %{libnamedevel}
Development files for library required by %{name}

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch -p1

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--libdir=%{_libdir} --prefix=%{_prefix} --disable-rpath
#configure

%build
%make || (bzcat %{PATCH1}|patch -p1 ; %make)

%install
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(klcc):command="%{name}" icon="%{name}.png" \
needs="x11" section="Networking/Remote access" title="KLCC" \
longtitle="LineControl Client For KDE"
EOF

%makeinstall
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
cp %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/klcc.png %{buildroot}/%{_miconsdir}
cp %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/klcc.png %{buildroot}/%{_iconsdir}
cp %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/klcc.png %{buildroot}/%{_liconsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Internet/%{name}.desktop
%{_datadir}/icons/*/*/*/*.png
%lang(en) %{_defaultdocdir}/HTML/en/klcc/
%lang(de) %{_defaultdocdir}/HTML/de/klcc/
%doc AUTHORS ChangeLog COPYING INSTALL README TODO

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libnamedevel}
%defattr(-,root,root)
%{_includedir}/lcpio/
%{_libdir}/*.la

%changelog
* Sun Mar 30 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-2mdk
- Buildrequires (thanks slbd)

* Tue Mar 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.3-1mdk
- Mandrake rpm based on spec in source
- Fix compilation under KDE3.1/Qt3.1 (p0,p1)
- Add lib packages
